Budgets
Rename, resize, pause, or resume a spend budget
PATCH /v1/budgets/{id} · SDK updateBudget · CLI deployments budget update
PATCH
Requires budgets:write. A suspended organization can still call it.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
Properties
1 <= propertiesamountUsdMicros?integerRange
1 <= value <= 9007199254740991name?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120status?stringValue in
"active""paused"thresholds?array<>Items
1 <= items <= 10BudgetResponse
application/json- response
amountUsdMicros*integerRange
1 <= value <= 9007199254740991archivedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecreatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeenvironmentId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$period*stringValue in
"daily""monthly""quarterly""yearly"projectId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$scope*stringValue in
"organization""project""environment""workspace"status*stringValue in
"active""paused""archived"thresholds*array<>Items
1 <= items <= 10updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
1 <= valueworkspaceId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$curl -X PATCH "https://example.com/v1/budgets/string" \ -H "x-deployments-organization: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "amountUsdMicros": 1, "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "environmentId": "string", "id": "string", "name": "string", "organizationId": "string", "period": "daily", "projectId": "string", "scope": "organization", "status": "active", "thresholds": [ 1 ], "updatedAt": "2019-08-24T14:15:22Z", "version": 1, "workspaceId": "string"}